Code

Reduce value duplication in t9300-fast-import.
[git.git] / t / test-lib.sh
index bf108d4226fabf847f42420547471dfb3cef8a8e..8e3ee6cd7b38e07d3fd39904066c8e64f1d3642f 100755 (executable)
@@ -99,12 +99,12 @@ trap 'echo >&5 "FATAL: Unexpected exit with code $?"; exit 1' exit
 test_tick () {
        if test -z "${test_tick+set}"
        then
-               test_tick=432630000
+               test_tick=1112911993
        else
                test_tick=$(($test_tick + 60))
        fi
-       GIT_COMMITTER_DATE=$test_tick
-       GIT_AUTHOR_DATE=$test_tick
+       GIT_COMMITTER_DATE="$test_tick -0700"
+       GIT_AUTHOR_DATE="$test_tick -0700"
        export GIT_COMMITTER_DATE GIT_AUTHOR_DATE
 }
 
@@ -220,8 +220,8 @@ test_create_repo () {
        repo="$1"
        mkdir "$repo"
        cd "$repo" || error "Cannot setup test environment"
-       "$GIT_EXEC_PATH/git" init-db --template=$GIT_EXEC_PATH/templates/blt/ >/dev/null 2>&1 ||
-       error "cannot run git init-db -- have you built things yet?"
+       "$GIT_EXEC_PATH/git" init --template=$GIT_EXEC_PATH/templates/blt/ >/dev/null 2>&1 ||
+       error "cannot run git init -- have you built things yet?"
        mv .git/hooks .git/hooks-disabled
        cd "$owd"
 }